* {
    margin: 0;
    padding: 0;
}

footer {
    position: absolute;
    bottom: 0;
}

.main {
    display: flex;
    justify-content: center;
    width: 100%;
}

.myCenter-main {
    display: flex;
    width: 1200px;
    height: 43rem;
    border: 1px solid #ccc;
}

.main-header {
    width: 10rem;
    border-bottom: 1px solid #ccc;
    background-color: #f7f7f7;
}

.main-header-top {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 10%;
    border-bottom: 1px solid #f3372b;
    font-weight: 700;
}

.main-header ul {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.main-header ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    cursor: pointer;
    height: 10%;
    width: 100%;
}

.main-header ul li:hover {
    color: #f3372b;
}


/* 高亮 */

.active-li {
    color: #f3372b;
    background-color: #eaeaea;
}

.main-content {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: #fff;
}

.main-content1-box {
    width: 90%;
    height: 80%;
    font-size: 14px;
}

.main-content1-box-p1 {
    display: flex;
    align-items: center;
    width: 100%;
    height: 4rem;
}

.main-content1-box-p1 span {
    margin-left: 2rem;
}

.input-1 {
    height: 50%;
    margin-left: .5rem;
    padding-left: .5rem;
}

.main-content1-box-submit {
    width: 6rem;
    height: 60%;
    border-radius: 5px;
    margin: 1rem auto;
    background-color: #409eff;
    border: 1px solid #409eff;
    cursor: pointer;
    color: #fff;
}

.main-content2,
.main-content3,
.main-content4,
.main-content5,
.main-content6,
.main-content7{
    display: none;
}

.main-content2-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
}

.main-content2-tab {
    border: 1px solid #cccccc;
    margin-top: 2rem;
    overflow-x: auto !important;
    border-bottom: none;
    box-shadow: 0 0 5px #000;
    padding: 1rem;
    font-size: 14px;
    border-radius: 10px;
}

.row-header {
    background-color: #eaf8ff;
    white-space: nowrap;
    display: table-row;
    border: 1px solid #cccccc;
    text-align: center;
}

.cell-header {
    display: table-cell;
    white-space: nowrap;
    border-bottom: 1px solid #eaf8ff;
    padding: 0.6rem 1rem;
}

.item {
    white-space: nowrap;
    display: table-row;
    border: 1px solid #cccccc;
    text-align: center;
    height: 50px;
}

.cell {
    display: table-cell;
    white-space: nowrap;
    border-bottom: 1px solid #ccc;
    padding: 0.9rem 1.2rem;
}

.cell button {
    color: #fff;
    background-color: #409eff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;

}

.main-content2-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    height: 3.5rem;
}



.left-btn {
    margin-right: 1rem;
}

.right-btn {
    margin-left: 1rem;
}

.index-btn,
.left-btn,
.right-btn {
    height: 50%;
    width: 6rem;
    background-color: #fff;
    border: 1px solid #409eff;
    color: #409eff;
    cursor: pointer;
    border-radius: .5rem;
    transition: all .2s;
}

.index-btn {
    height: 50%;
    width: 6rem;
    margin-right: .5rem;
}

.index-btn:hover,
.left-btn:hover,
.right-btn:hover {
    background-color: #409eff;
    color: #fff;
}

.pages-center {
    color: #409eff;
}

.main-content3-box {
    width: 80%;
    height: 80%;
    margin-left: 5%;
    margin-top: 5%;
    font-size: 14px;
    /* background-color: pink; */
}

.main-content3-box-head {
    display: flex;
    align-items: center;
    width: 100%;
    height: 4rem;
    padding-left: 2rem;
}

.bac {
    background-color: #f7f7f7;
}

.span-1 {
    width: 20%;
    color: #ebb563;
}

.span-2 {
    width: 40%;
}

.span-3 {
    width: 3rem;
    height: 2rem;
    background-color: #fff;
    color: #409eff;
    border: 1px solid #409eff;
    border-radius: 5px;
    cursor: pointer;
    transition: all .2s;
    margin-right: 2rem;
}

.span-3:hover {
    background-color: #409eff;
    color: #fff;
}

.main-content3-box img {
    width: 4rem;
    border-radius: 50%;
}


/* 弹框 */


/* // 遮挡部分CSS */

#modelDiv {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: silver;
    opacity: 0.8;
    z-index: 99;
    display: none;
}

#model {
    width: 500px;
    height: 300px;
    background: #fff;
    border-radius: 10px;
    position: absolute;
    top: calc(50% - 150px);
    left: calc(50% - 250px);
    z-index: 99;
    display: none;
}

#model h4 {
    display: flex;
    align-items: center;
    width: 90%;
    height: 20%;
    margin-left: 10%;
}

.model-cs {
    display: flex;
    align-items: center;
    width: 90%;
    height: 20%;
    margin-left: 10%;
}

.model-cs span {
    color: #ebb563;
}

.model-cs input {
    height: 2rem;
    flex: 1;
    margin: 0 3rem 0 1rem;
    border-radius: 5px;
    padding: 0 1rem;
    border: 1px solid #409eff;
    outline: none;
}

.model-btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
    margin: 0 20%;
    height: 30%;
}

.model-btn-left {
    width: 30%;
    height: 2rem;
    background-color: #409eff;
    color: #fff;
    border: 1px solid #409eff;
    cursor: pointer;
    border-radius: 5px;
}

.model-btn-right {
    width: 30%;
    height: 2rem;
    background-color: #fff;
    border: 1px solid #409eff;
    border-radius: 5px;
    cursor: pointer;
    color: #333;
}

@media screen and (max-width:1000px) {
    .myCenter-main {
        width: 100%;
        flex-direction: column;
    }

    .main-content2-footer {
        margin-top: 5px;
    }

    .main-header {
        display: flex;
        width: 100%;
        height: 3rem;
    }

    .main-header-top {
        width: 30%;
        height: 100%;
        border-bottom: none;
        /* font-size: 1.4vw; */
        font-weight: 700;
    }

    .main-header ul {
        width: 80%;
        flex-direction: row;
    }

    .main-header ul li {
        height: 100%;
        flex: 1;
        font-size: 12px;
        /* font-size: 1.2vw; */
    }
}

@media screen and (max-width:768px) {
    .navbar-toggler {
        padding: 0 !important;
    }


    body {
        padding-top: 3.3rem !important;
    }

    .main-header-top {
        display: none;
    }

    .main-header ul {
        width: 100%;
    }



    .main-content2-tab {
        margin-top: 0;
    }

    .main-content2-tab {
        box-shadow: none;
        border-radius: 0;
        border: 1px solid #ccc;
    }

    .index-btn,
    .left-btn,
    .right-btn {
        height: 85%;
        background-color: #409eff;
        border: 1px solid #409eff;
        color: #fff;
    }

    .main-content {
        height: 60vh;
    }

    .myCenter-main {
        height: 100%;
        border: none;
    }

    .main-content2 {
        margin-bottom: 34%;
    }

    .main-content2-tab {
        width: 100%;
        padding: 1rem 0;
    }

    .main-content1-box {
        width: 100%;
        margin-left: 5%;
    }

    .main-content3-box {
        width: 100%;
        margin-left: 0;
        margin-top: 5%;
    }

    #model {
        width: 320px;
        height: 320px;
        top: calc(50% - 160px);
        left: calc(50% - 160px);
    }

    #model h4 {
        height: auto;
        margin: 1rem;
    }

    .model-cs {
        flex-direction: column;
        align-items: flex-start;
        height: 22%;
        margin-bottom: 1rem;
    }

    .model-cs span {
        margin-bottom: .5rem;
    }

    .model-btn {
        height: 15%;
    }

    .model-btn-left,
    .model-btn-right {
        width: 40%;
    }

    .model-cs input {
        width: 70%;
    }

    .main-content3-box-head {
        display: flex;
        align-items: center;
        width: 100%;
        padding: 0;
    }

    .main-content3-box img {
        margin-left: 5%;
    }

    .span-1 {
        width: 29%;
        padding-left: 5%;
    }

    .span-2 {
        flex: 1;
    }

    .span-3 {
        width: 3rem;
    }
}

.code{
    display: flex;
    justify-content: center;
    text-align: center;
    margin-top: 101px;
}


.code-shell{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 30px;
    align-items: center;
}

.code-image{
    margin-top: 30px;
    font-size: 16px;
    color: #4a4a4a;
    padding-bottom: 20px;
}

.code-image-shell{
    width: 240px;
    height: 240px;
    object-fit: cover;
}


.code-ts{
    padding-top: 30px;
    color: #bd7474;
    font-size: 14px;
}



.code-list{
    margin: 0 auto;
    margin-top: 40px;

}

.code-list-top{
    display: flex;
    align-items: center;
    text-align: center;
}

.code-name{
    flex: 1;
    color: #686868;
    font-size: 14px;
}

.code-user-list{
    margin-top: 25px;
}

.code-user-name{
    font-size: 14px;
    flex: 1;
    display: inline-block;
    text-align: center;
}

.code-user-li-shell{
    display: flex;
}

.code-user-li{
    border-bottom: 1px dashed #c0eaf1;
    padding-bottom: 18px;
    margin-bottom: 18px;
}

.cart-nav-b {
    width: 100%;
    height: 1px;
    background-color: #e1e1e1;
    display: inline-block;
    position: relative;
    top: -10px;
}

.goods-boot {
    display: flex;
    height: 60px;
    align-items: center;
    width: 92%;
    margin: 0 auto;
    justify-content: center;
}

.goods-page-top {
    min-width: 80px;
    height: 38px;
    border: 1px solid #e3e3e3;
    border-radius: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: #726e6e;
}


.goods-page,.cj-goods-page{
    min-width: 55px;
    height: 38px;
    border: 1px solid #e3e3e3;
    border-radius: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: #FD4219;
    color: #fff;
    margin: 0px 20px;
}

.goods-page-top {
    min-width: 80px;
    height: 38px;
    border: 1px solid #e3e3e3;
    border-radius: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: #726e6e;
}

.code-chk{
    color: #4458e3;
    cursor: pointer;
}

.code-user-li:last-child{
    border-bottom: none;
}

.main-content-shell{
    width: 92%;
    margin: 0 auto;
    margin-top: 30px;
}

.hanf-input{
    max-width: 200px;
    outline: none;
    border: 1px solid #ddd;
    background: #fbfbfb;
    border-radius: 3px;
    color: rgba(0, 0, 0, 0.87);
    padding: 0 0 0 11px;
    height: 32px;
    width: 100%;
    margin-right: 20px;
}

.hanf-input::placeholder{
    font-size: 14px;
}

.user-input{
    max-width: 120px;
}

.hanf-cx{
    width: 80px;
    display: inline-block;
    background-color: #95EC69;
    text-align: center;
    color: #3e3e3e;
    height: 32px;
    line-height: 32px;
    border-radius: 3px;
    font-size: 15px;
    cursor: pointer;
    margin-left: 35px;
}

.state-heng{
    margin-right: 15px;
}


@media screen and (min-width: 768px) and (max-width: 1680px) {
    .myCenter-main {
        height: 46rem;
    }
}

@media screen and (min-width: 768px) and (max-width: 1000px) {
    .myCenter-main {
        height: 46rem;
    }

    .main-content {
        height: 50rem;
    }

}
